API ReferenceCWT credentials
Format a CWT credential as a Google Pass
POST
Returns a Google Pass representation of a provided CWT credential based on an existing Google Pass template.
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_GOOGLE_PASS_CREATE_STARTCREDENTIAL_COMPACT_GOOGLE_PASS_CREATE_SUCCESSCREDENTIAL_COMPACT_GOOGLE_PASS_CREATE_FAIL
bearerAuthheader
AuthorizationBearer <token>body*CreateDigitalPassRequestapplication/jsonFormat
objectGoogle Pass created
response?CreateGooglePassResponseapplication/jsonThe URL to retrieve the Google Pass from.
Format
objectcurl -X POST "https://example.com/v2/credentials/compact/digital-pass/google" \ -H "Content-Type: application/json" \ -d '{ "templateId": "3812166c-ac9f-4e4e-96dd-c1336b5be378", "payload": "{payload}" }'{ "redirectTo": "https://pay.google.com/gp/v/save/{jwt}"}How would you rate this page?
Format a CWT credential as an Apple Pass POST
Returns an Apple Pass representation of a provided CWT credential based on an existing Apple Pass template. <Callout> The request will fail if the provided credential isn't valid or has expired. </Callout>
Create a PDF template POST
Creates a CWT credential PDF template based on a provided `.zip` file. Refer to our [PDF template design guide](https://learn.mattr.global/docs/issuance/cwt-credential-templates/pdf-templates) for more information on how to design a template and structure the `.zip` file.